onClipEvent(load){
   function up()
   {
      thumbY = this.thumb._y;
      if(min < thumbY)
      {
         this.thumb._y = min >= thumbY - delta ? min : thumbY - delta;
      }
      posD = D._y;
      if(posD < topD1)
      {
         D._y = posD + stepY >= topD1 ? topD1 : posD + stepY;
      }
   }
   function down()
   {
      thumbY = this.thumb._y;
      if(thumbY < max)
      {
         this.thumb._y = thumbY + delta >= max ? max : thumbY + delta;
      }
      posD = D._y;
      if(topD2 < posD)
      {
         D._y = topD2 >= posD - stepY ? topD2 : posD - stepY;
      }
   }
   function drag()
   {
      D._y = topD1 - (this.thumb._y - min) / maxMinScr * maxMinD;
      updateAfterEvent(mouseMove);
   }
   function turnButtons(toThisFrame)
   {
      this.thumb.gotoAndStop(toThisFrame);
      this.btn_up.gotoAndStop(toThisFrame);
      this.btn_down.gotoAndStop(toThisFrame);
   }
   function freeze()
   {
      turnButtons("off");
   }
   function unfreeze()
   {
      turnButtons("on");
   }
   var min = this.thumb._y;
   var max = this.thumbB._y;
   var stepY = 50;
   var nbSteps = 0;
   var W = _root.instructions.window;
   var D = _root.instructions.display;
   this._visible = w._height < D._height;
   this._visible = true;
   if(this._visible)
   {
      topD1 = D._y;
      topD2 = topD1 - (D._height - w._height) - 10;
      nbSteps = Math.round((D._height - w._height) / stepY + 1);
      maxMinD = topD1 - topD2;
      maxMinScr = max - min;
      delta = maxMinScr / nbSteps;
      this.gotoAndStop("on");
   }
   this.freeze = freeze;
   this.unfreeze = unfreeze;
   this.up = up;
   this.down = down;
   this.drag = drag;
}
